View Issue Details

IDProjectCategoryView StatusLast Update
0000965luatexluatex bugpublic2016-03-02 22:12
ReporterigorAssigned Toluigi scarso 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSlinuxOS Version
Product Version0.80.0 
Target VersionFixed in Version0.89.0 
Summary0000965: "checksum mismatch" warnings on 64bit system for OVF/OFM fonts
Descriptionluatex gives "checksum mismatch" warnings:

    This is LuaTeX, Version beta-0.80.0 (TeX Live 2015/Debian) (rev 5238)
    checksum mismatch in local font cmb10 (-770990554 != -770990554)
in virtual font
     myfont.vf ignored.
    No pages of output.
    Transcript written on texput.log.

This is complaining that a number is not equal to itself, clearly a
representation problem.

On i386 system the same versions of texlive packages do not give such warnings.

I checked with latest build (0.89.0) from http://minimals.contextgarden.net/current/bin/luatex/linux-64/bin/luatex
The result is the same.
Steps To Reproduceecho "(MAPFONT D 0 (FONTNAME cmb10))" > myfont.vpl
tftopl cmb10 >> myfont.vpl
vptovf myfont.vpl
rm myfont.vpl
vftovp -charcode-format=octal myfont.vf > myfont.ovp
rm myfont.tfm myfont.vf
ovp2ovf myfont.ovp
luatex '\font\f=myfont\end'
Additional InformationIf we change cmb10 to, e.g., cmr10, no warning is printed.
The problem is that for fonts with values of FONTCHECKSUM above octal
17777777777, the value is interpreted as negative.

Octal 17777777777 is binary 01111111111111111111111111111111
Octal 20000000000 is binary 10000000000000000000000000000000
TagsNo tags attached.

Activities

luigi scarso

2016-02-26 09:46

developer   ~0001575

Thank you for the report. We will see asap.

luigi scarso

2016-03-01 11:48

developer   ~0001579

Hm, with your example I see
(CHECKSUM O 32202717046)
   (FONTCHECKSUM O 32202717046)
and no problem. I don't have your cmb10:
mine is from TeXLive 2015 under
texmf-dist/fonts/type1/public/amsfonts/cm/cmb10.pfb

igor

2016-03-02 04:42

reporter   ~0001580

Last edited: 2016-03-02 07:34

View 5 revisions

I also use TL 2015 (packaged with debian testing "stretch").

First let's verify that we use the same cmb10.pfb and cmb10.tfm:

    $ md5sum /usr/share/texlive/texmf-dist/fonts/type1/public/amsfonts/cm/cmb10.pfb
    9e890a566b02a404d2efb4a691903f83 /usr/share/texlive/texmf-dist/fonts/type1/public/amsfonts/cm/cmb10.pfb
    $ md5sum /usr/share/texlive/texmf-dist/fonts/tfm/public/cm/cmb10.tfm
    fb32298c2d61d0c4b59f3065fdd6def9 /usr/share/texlive/texmf-dist/fonts/tfm/public/cm/cmb10.tfm

Create OFM/OVF font:

    cp /usr/share/texlive/texmf-dist/fonts/tfm/public/cm/cmb10.tfm .
    echo "(MAPFONT D 0 (FONTNAME cmb10))" > myfont.vpl
    tftopl cmb10 >> myfont.vpl
    vptovf myfont.vpl
    rm myfont.vpl
    vftovp -charcode-format=octal myfont.vf > myfont.ovp
    rm myfont.tfm myfont.vf
    ovp2ovf myfont.ovp

Download current luatex:

    wget http://minimals.contextgarden.net/current/bin/luatex/linux-64/bin/luatex
    chmod +x luatex

Now run luatex from current directory:

    $ touch texmf.cnf
    $ TFMFONTS=. OVFFONTS=. OFMFONTS=. strace -o strace.log ./luatex -ini -rec '\font\f=myfont\end'
    This is LuaTeX, Version beta-0.89.2 (TeX Live 2016/dev) (INITEX)
     restricted system commands enabled.
    checksum mismatch in local font cmb10 (-770990554 != -770990554) in virtual fon
    t myfont.vf ignored.
    No pages of output.
    Transcript written on texput.log.

    $ cat luatex*.fls && rm luatex*.fls
    PWD /home/user/test
    OUTPUT texput.log
    INPUT ./myfont.ofm
    INPUT ./myfont.ovf
    INPUT ./cmb10.tfm

File "strace.log" is attached.

I do not know if it is the problem with luatex or with texlive.

Please say which additional info I should provide.

igor

2016-03-02 07:33

reporter  

strace.log (12,494 bytes)

luigi scarso

2016-03-02 09:13

developer   ~0001581

I have made a zip with my files: can you check them ?
I still see no problem on luatex.

igor

2016-03-02 14:09

reporter   ~0001582

Last edited: 2016-03-02 16:17

View 6 revisions

I confirm that all the files in your myfont.zip are totally equal to the files which I get (checked with "md5sum").
But I do get this warning.

luigi scarso

2016-03-02 15:55

developer   ~0001584

OK, now I'm able to reproduce the issue.

luigi scarso

2016-03-02 18:23

developer   ~0001585

A patch is in experimental, probably it will be in trunk / beta end of week.
"""
What seemed strange to me though, is that files in your archive have execute bit set. Why?
"""
Ah, maybe I have copied them from a Windows partitions with a TeXLive..

luigi scarso

2016-03-02 18:24

developer  

myfont.zip (34,953 bytes)

Issue History

Date Modified Username Field Change
2016-02-26 02:50 igor New Issue
2016-02-26 09:46 luigi scarso Note Added: 0001575
2016-03-01 11:48 luigi scarso Note Added: 0001579
2016-03-02 04:42 igor Note Added: 0001580
2016-03-02 06:02 igor Note Edited: 0001580 View Revisions
2016-03-02 07:11 igor Note Edited: 0001580 View Revisions
2016-03-02 07:33 igor Note Edited: 0001580 View Revisions
2016-03-02 07:33 igor File Added: strace.log
2016-03-02 07:34 igor Note Edited: 0001580 View Revisions
2016-03-02 09:12 luigi scarso File Added: myfont.zip
2016-03-02 09:13 luigi scarso Note Added: 0001581
2016-03-02 14:09 igor Note Added: 0001582
2016-03-02 14:45 igor Note Edited: 0001582 View Revisions
2016-03-02 14:45 igor Note Edited: 0001582 View Revisions
2016-03-02 14:46 igor Note Edited: 0001582 View Revisions
2016-03-02 14:46 igor Note Edited: 0001582 View Revisions
2016-03-02 15:55 luigi scarso Note Added: 0001584
2016-03-02 16:17 igor Note Edited: 0001582 View Revisions
2016-03-02 18:23 luigi scarso Note Added: 0001585
2016-03-02 18:24 luigi scarso File Deleted: myfont.zip
2016-03-02 18:24 luigi scarso File Added: myfont.zip
2016-03-02 22:12 Hans Hagen Status new => closed
2016-03-02 22:12 Hans Hagen Assigned To => luigi scarso
2016-03-02 22:12 Hans Hagen Resolution open => fixed
2016-03-02 22:12 Hans Hagen Fixed in Version => 0.89.0